Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class ViewPlaneCameraData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraData
                  |
                  +--quicktime.qd3d.camera.ViewPlaneCameraData

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ViewPlaneCameraData
extends CameraData
implements quicktime.jdirect.PrimitivesLib

A perspective camera specified in terms of an arbitrary view plane. This is most useful when setting the camera to look at a particular object. The mViewPlane is set to distance from the camera to the object. The halfWidth is set to half the width of the cross section of the object, and the halfHeight equal to the halfWidth divided by the aspect ratio of the viewPort. This is the only perspective camera with specifications for off-axis viewing, which is desirable for scrolling. refer to TQ3ViewPlaneCameraData in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`ViewPlaneCameraData()` Creates a ViewPlaneCameraData object containing no data.
`ViewPlaneCameraData(CameraData cameraData, float viewPlane, float halfWidthAtViewPlane, float halfHeightAtViewPlane, float centerXOnViewPlane, float centerYOnViewPlane)` Sets the ViewPlaneCameraData object's data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`float` | `getCenterX()` returns the centerXOnViewPlane
`float` | `getCenterY()` returns the centerYOnViewPlane
`float` | `getHalfHeight()` returns the halfHeightAtViewPlane
`float` | `getHalfWidth()` returns the halfWidthAtViewPlane
`float` | `getViewPlane()` returns the viewPlane
`void` | `setCenterX(float centerXOnViewPlane)` sets the centerXOnViewPlane
`void` | `setCenterY(float centerYOnViewPlane)` sets the centerYOnViewPlane
`void` | `setHalfHeight(float halfHeightAtViewPlane)` sets the halfHeightAtViewPlane
`void` | `setHalfWidth(float halfWidthAtViewPlane)` sets the halfWidthAtViewPlane
`void` | `setViewPlane(float viewPlane)` sets the viewPlane

Methods inherited from class quicktime.qd3d.camera.CameraData
`getEndianDescriptor, getPlacement, getRange, getViewPort, setPlacement, setRange, setViewPort, toString`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ViewPlaneCameraData

    public ViewPlaneCameraData()

  Creates a ViewPlaneCameraData object containing no data.

### ViewPlaneCameraData

    public ViewPlaneCameraData(CameraData cameraData,
                               float viewPlane,
                               float halfWidthAtViewPlane,
                               float halfHeightAtViewPlane,
                               float centerXOnViewPlane,
                               float centerYOnViewPlane)

  Sets the ViewPlaneCameraData object's data.
  Parameters:
    `cameraData` - The camera data.
    `viewPlane` -
    `halfWidthAtViewPlane` -
    `halfHeightAtViewPlane` -
    `centerXOnViewPlane` -
    `centerYOnViewPlane` -

Method Detail

### getViewPlane

    public float getViewPlane()

  returns the viewPlane

### getHalfWidth

    public float getHalfWidth()

  returns the halfWidthAtViewPlane

### getHalfHeight

    public float getHalfHeight()

  returns the halfHeightAtViewPlane

### getCenterX

    public float getCenterX()

  returns the centerXOnViewPlane

### getCenterY

    public float getCenterY()

  returns the centerYOnViewPlane

### setViewPlane

    public void setViewPlane(float viewPlane)

  sets the viewPlane

### setHalfWidth

    public void setHalfWidth(float halfWidthAtViewPlane)

  sets the halfWidthAtViewPlane

### setHalfHeight

    public void setHalfHeight(float halfHeightAtViewPlane)

  sets the halfHeightAtViewPlane

### setCenterX

    public void setCenterX(float centerXOnViewPlane)

  sets the centerXOnViewPlane

### setCenterY

    public void setCenterY(float centerYOnViewPlane)

  sets the centerYOnViewPlane

### clone

    public java.lang.Object clone()

  Returns a copy of this class.
  Overrides:
    `clone` in class `CameraData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD